brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ahgittin <...@git.apache.org>
Subject [GitHub] brooklyn-server issue #672: Bundle uninstall and snapshot
Date Fri, 16 Jun 2017 15:51:23 GMT
Github user ahgittin commented on the issue:

    https://github.com/apache/brooklyn-server/pull/672
  
    @neykov @geomacy I've been working in this area for a different reason - if people use
`v1` as a version a few minor things break.
    
    wdyt about using OSGi versions everywhere, treating anything else including maven versions,
as legacy/deprecated?  i'm hoping in future all catalog item versions inherit from the bundle
version, IE we stop versioning items separately, but that needs to be discussed.  (if you
installed a non-bundle BOM and bundle would be created.)
    
    for convenience if uploading a bundle with a maven (non-osgi) version, we should convert
it (one-way) to an osgi version, and also log a warning.  if we do that i guess there is a
question should we use the converted-to-osgi version string for items that inherit (items
that define their own version will use what they define but if that differs from bundle maybe
we will warn?)


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message